Loading...
Searching...
No Matches
CMCallbacks Struct Reference
📚 The CMocka API » 🔧 Configuration and Output

`#include <cmocka.h>`

## Data Fields

void(* | vprint_message )(const char *const format, va_list args)
void(* | vprint_error )(const char *const format, va_list args)

## Detailed Description

Callbacks which can be set via cmocka_set_callbacks().

See also
  cmocka_set_callbacks()

## Field Documentation

## vprint_error

void(* CMCallbacks::vprint_error) (const char *const format, va_list args)

A callback for printing out error messages. The supplied callback function will be invoked by the standard output print methods. If no callback has been supplied, the default action is to print to stdout.

The one exception at present is XML output, which is always written directly to a file handle, even if that is set to stdout.

## vprint_message

void(* CMCallbacks::vprint_message) (const char *const format, va_list args)

A callback for printing out standard messages. The supplied callback function will be invoked by the standard output print methods. If no callback has been supplied, the default action is to print to stdout.

The one exception at present is XML output, which is always written directly to a file handle, even if that is set to stdout.

The documentation for this struct was generated from the following file:

- cmocka.h